import random
from cutt.db import Player

names = [
    "August",
    "Beate",
    "Ceasar",
    "Daedalus",
    "Elli",
    "Ford P.",
    "Gabriel",
    "Hugo",
    "Ivar Johansson",
    "Jürgen Gordon Malinauskas",
]
demo_players = [
    Player.model_validate(
        {
            "id": i,
            "display_name": name,
            "username": name.lower().replace(" ", "").replace(".", ""),
            "number": str(random.randint(0, 100)),
            "email": name.lower().replace(" ", "").replace(".", "") + "@example.org",
        }
    )
    for i, name in enumerate(names)
]
